---
title: Get a monitor notification rule
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Monitors
---

# Get a monitor notification rule{% #get-a-monitor-notification-rule %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                 |
| ----------------- | ---------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/monitor/notification_rule/{rule_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/monitor/notification_rule/{rule_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/monitor/notification_rule/{rule_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/monitor/notification_rule/{rule_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/monitor/notification_rule/{rule_id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/monitor/notification_rule/{rule_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/monitor/notification_rule/{rule_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/monitor/notification_rule/{rule_id} |

### Overview

Returns a monitor notification rule by `rule_id`. This endpoint requires the `monitors_read` permission.

OAuth apps require the `monitors_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#monitors) to access this endpoint.



### Arguments

#### Path Parameters

| Name                      | Type   | Description                                   |
| ------------------------- | ------ | --------------------------------------------- |
| rule_id [*required*] | string | ID of the monitor notification rule to fetch. |

#### Query Strings

| Name    | Type   | Description                                                                                                                       |
| ------- | ------ | --------------------------------------------------------------------------------------------------------------------------------- |
| include | string | Comma-separated list of resource paths for related resources to include in the response. Supported resource path is `created_by`. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
A monitor notification rule.

| Parent field           | Field                        | Type            | Description                                                                                                                                                    |
| ---------------------- | ---------------------------- | --------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|                        | data                         | object          | Monitor notification rule data.                                                                                                                                |
| data                   | attributes                   | object          | Attributes of the monitor notification rule.                                                                                                                   |
| attributes             | conditional_recipients       | object          | Use conditional recipients to define different recipients for different situations. Cannot be used with `recipients`.                                          |
| conditional_recipients | conditions [*required*] | [object]        | Conditions of the notification rule.                                                                                                                           |
| conditions             | recipients [*required*] | [string]        | A list of recipients to notify. Uses the same format as the monitor `message` field. Must not start with an '@'.                                               |
| conditions             | scope [*required*]      | string          | Defines the condition under which the recipients are notified. Supported formats:                                                                              |
| conditional_recipients | fallback_recipients          | [string]        | If none of the `conditions` applied, `fallback_recipients` will get notified.                                                                                  |
| attributes             | created                      | date-time       | Creation time of the monitor notification rule.                                                                                                                |
| attributes             | filter                       |  <oneOf>   | Specifies the matching criteria for monitor notifications.                                                                                                     |
| filter                 | Option 1                     | object          | Filters monitor notifications by a list of tag key:value pairs.                                                                                                |
| Option 1               | tags [*required*]       | [string]        | A list of tag key:value pairs (e.g. `team:product`). All tags must match (AND semantics).                                                                      |
| filter                 | Option 2                     | object          | Filters monitor notifications using a scope expression over key:value pairs with boolean logic (AND, OR, NOT).                                                 |
| Option 2               | scope [*required*]      | string          | A scope expression composed by key:value pairs (e.g. `service:foo`) with boolean operators (AND, OR, NOT) and parentheses for grouping.                        |
| attributes             | modified                     | date-time       | Time the monitor notification rule was last modified.                                                                                                          |
| attributes             | name                         | string          | The name of the monitor notification rule.                                                                                                                     |
| attributes             | recipients                   | [string]        | A list of recipients to notify. Uses the same format as the monitor `message` field. Must not start with an '@'. Cannot be used with `conditional_recipients`. |
| data                   | id                           | string          | The ID of the monitor notification rule.                                                                                                                       |
| data                   | relationships                | object          | All relationships associated with monitor notification rule.                                                                                                   |
| relationships          | created_by                   | object          | The user who created the monitor notification rule.                                                                                                            |
| created_by             | data                         | object          | Data for the user who created the monitor notification rule.                                                                                                   |
| data                   | id                           | string          | User ID of the monitor notification rule creator.                                                                                                              |
| data                   | type                         | enum            | Users resource type. Allowed enum values: `users`                                                                                                              |
| data                   | type                         | enum            | Monitor notification rule resource type. Allowed enum values: `monitor-notification-rule`                                                                      |
|                        | included                     | [ <oneOf>] | Array of objects related to the monitor notification rule that the user requested.                                                                             |
| included               | Option 1                     | object          | User object returned by the API.                                                                                                                               |
| Option 1               | attributes                   | object          | Attributes of user object returned by the API.                                                                                                                 |
| attributes             | created_at                   | date-time       | The ISO 8601 timestamp of when the user account was created.                                                                                                   |
| attributes             | disabled                     | boolean         | Whether the user account is deactivated. Disabled users cannot log in.                                                                                         |
| attributes             | email                        | string          | The email address of the user, used for login and notifications.                                                                                               |
| attributes             | handle                       | string          | The unique handle (username) of the user, typically matching their email prefix.                                                                               |
| attributes             | icon                         | string          | URL of the user's profile icon, typically a Gravatar URL derived from the email address.                                                                       |
| attributes             | last_login_time              | date-time       | The ISO 8601 timestamp of the user's most recent login, or null if the user has never logged in.                                                               |
| attributes             | mfa_enabled                  | boolean         | Whether multi-factor authentication (MFA) is enabled for the user's account.                                                                                   |
| attributes             | modified_at                  | date-time       | The ISO 8601 timestamp of when the user account was last modified.                                                                                             |
| attributes             | name                         | string          | The full display name of the user as shown in the Datadog UI.                                                                                                  |
| attributes             | service_account              | boolean         | Whether this is a service account rather than a human user. Service accounts are used for programmatic API access.                                             |
| attributes             | status                       | string          | The current status of the user account (for example, `Active`, `Pending`, or `Disabled`).                                                                      |
| attributes             | title                        | string          | The job title of the user (for example, "Senior Engineer" or "Product Manager").                                                                               |
| attributes             | uuid                         | string          | The globally unique identifier (UUID) of the user.                                                                                                             |
| attributes             | verified                     | boolean         | Whether the user's email address has been verified.                                                                                                            |
| Option 1               | id                           | string          | ID of the user.                                                                                                                                                |
| Option 1               | relationships                | object          | Relationships of the user object returned by the API.                                                                                                          |
| relationships          | org                          | object          | Relationship to an organization.                                                                                                                               |
| org                    | data [*required*]       | object          | Relationship to organization object.                                                                                                                           |
| data                   | id [*required*]         | string          | ID of the organization.                                                                                                                                        |
| data                   | type [*required*]       | enum            | Organizations resource type. Allowed enum values: `orgs`                                                                                                       |
| relationships          | other_orgs                   | object          | Relationship to organizations.                                                                                                                                 |
| other_orgs             | data [*required*]       | [object]        | Relationships to organization objects.                                                                                                                         |
| data                   | id [*required*]         | string          | ID of the organization.                                                                                                                                        |
| data                   | type [*required*]       | enum            | Organizations resource type. Allowed enum values: `orgs`                                                                                                       |
| relationships          | other_users                  | object          | Relationship to users.                                                                                                                                         |
| other_users            | data [*required*]       | [object]        | Relationships to user objects.                                                                                                                                 |
| data                   | id [*required*]         | string          | A unique identifier that represents the user.                                                                                                                  |
| data                   | type [*required*]       | enum            | Users resource type. Allowed enum values: `users`                                                                                                              |
| relationships          | roles                        | object          | Relationship to roles.                                                                                                                                         |
| roles                  | data                         | [object]        | An array containing type and the unique identifier of a role.                                                                                                  |
| data                   | id                           | string          | The unique identifier of the role.                                                                                                                             |
| data                   | type                         | enum            | Roles type. Allowed enum values: `roles`                                                                                                                       |
| Option 1               | type                         | enum            | Users resource type. Allowed enum values: `users`                                                                                                              |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "conditional_recipients": {
        "conditions": [
          {
            "recipients": [
              "slack-test-channel",
              "jira-test"
            ],
            "scope": "transition_type:is_alert"
          }
        ],
        "fallback_recipients": [
          "slack-test-channel",
          "jira-test"
        ]
      },
      "created": "2020-01-02T03:04:00.000Z",
      "filter": {
        "tags": [
          "team:product",
          "host:abc"
        ]
      },
      "modified": "2020-01-02T03:04:00.000Z",
      "name": "A notification rule name",
      "recipients": [
        "slack-test-channel",
        "jira-test"
      ]
    },
    "id": "00000000-0000-1234-0000-000000000000",
    "relationships": {
      "created_by": {
        "data": {
          "id": "00000000-0000-1234-0000-000000000000",
          "type": "users"
        }
      }
    },
    "type": "monitor-notification-rule"
  },
  "included": [
    {
      "attributes": {
        "created_at": "2019-09-19T10:00:00.000Z",
        "disabled": false,
        "email": "string",
        "handle": "string",
        "icon": "string",
        "last_login_time": "2019-09-19T10:00:00.000Z",
        "mfa_enabled": false,
        "modified_at": "2019-09-19T10:00:00.000Z",
        "name": "string",
        "service_account": false,
        "status": "string",
        "title": "string",
        "uuid": "string",
        "verified": false
      },
      "id": "string",
      "relationships": {
        "org": {
          "data": {
            "id": "00000000-0000-beef-0000-000000000000",
            "type": "orgs"
          }
        },
        "other_orgs": {
          "data": [
            {
              "id": "00000000-0000-beef-0000-000000000000",
              "type": "orgs"
            }
          ]
        },
        "other_users": {
          "data": [
            {
              "id": "00000000-0000-0000-2345-000000000000",
              "type": "users"
            }
          ]
        },
        "roles": {
          "data": [
            {
              "id": "3653d3c6-0c75-11ea-ad28-fb5701eabc7d",
              "type": "roles"
            }
          ]
        }
      },
      "type": "users"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export rule_id="CHANGE_ME" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/monitor/notification_rule/${rule_id}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
Get a monitor notification rule returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.monitors_api import MonitorsApi

# there is a valid "monitor_notification_rule" in the system
MONITOR_NOTIFICATION_RULE_DATA_ID = environ["MONITOR_NOTIFICATION_RULE_DATA_ID"]

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = MonitorsApi(api_client)
    response = api_instance.get_monitor_notification_rule(
        rule_id=MONITOR_NOTIFICATION_RULE_DATA_ID,
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Get a monitor notification rule returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::MonitorsAPI.new

# there is a valid "monitor_notification_rule" in the system
MONITOR_NOTIFICATION_RULE_DATA_ID = ENV["MONITOR_NOTIFICATION_RULE_DATA_ID"]
p api_instance.get_monitor_notification_rule(MONITOR_NOTIFICATION_RULE_DATA_ID)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// Get a monitor notification rule returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	// there is a valid "monitor_notification_rule" in the system
	MonitorNotificationRuleDataID := os.Getenv("MONITOR_NOTIFICATION_RULE_DATA_ID")

	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewMonitorsApi(apiClient)
	resp, r, err := api.GetMonitorNotificationRule(ctx, MonitorNotificationRuleDataID, *datadogV2.NewGetMonitorNotificationRuleOptionalParameters())

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `MonitorsApi.GetMonitorNotificationRule`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `MonitorsApi.GetMonitorNotificationRule`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Get a monitor notification rule returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.MonitorsApi;
import com.datadog.api.client.v2.model.MonitorNotificationRuleResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    MonitorsApi apiInstance = new MonitorsApi(defaultClient);

    // there is a valid "monitor_notification_rule" in the system
    String MONITOR_NOTIFICATION_RULE_DATA_ID = System.getenv("MONITOR_NOTIFICATION_RULE_DATA_ID");

    try {
      MonitorNotificationRuleResponse result =
          apiInstance.getMonitorNotificationRule(MONITOR_NOTIFICATION_RULE_DATA_ID);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling MonitorsApi#getMonitorNotificationRule");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// Get a monitor notification rule returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_monitors::GetMonitorNotificationRuleOptionalParams;
use datadog_api_client::datadogV2::api_monitors::MonitorsAPI;

#[tokio::main]
async fn main() {
    // there is a valid "monitor_notification_rule" in the system
    let monitor_notification_rule_data_id =
        std::env::var("MONITOR_NOTIFICATION_RULE_DATA_ID").unwrap();
    let configuration = datadog::Configuration::new();
    let api = MonitorsAPI::with_config(configuration);
    let resp = api
        .get_monitor_notification_rule(
            monitor_notification_rule_data_id.clone(),
            GetMonitorNotificationRuleOptionalParams::default(),
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Get a monitor notification rule returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.MonitorsApi(configuration);

// there is a valid "monitor_notification_rule" in the system
const MONITOR_NOTIFICATION_RULE_DATA_ID = process.env
  .MONITOR_NOTIFICATION_RULE_DATA_ID as string;

const params: v2.MonitorsApiGetMonitorNotificationRuleRequest = {
  ruleId: MONITOR_NOTIFICATION_RULE_DATA_ID,
};

apiInstance
  .getMonitorNotificationRule(params)
  .then((data: v2.MonitorNotificationRuleResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
